### Property

# Camel NetworkSettings:security-method

#### Declaration

    property security-method: Camel.NetworkSecurityMethod [ read, write, construct ]

#### Description [src]

Method used to establish a network connection.

Type:`CamelNetworkSecurityMethod`

Default value | CAMEL_NETWORK_SECURITY_METHOD_STARTTLS_ON_STANDARD_PORT
Getter method | `camel_network_settings_get_security_method()`
Setter method | `camel_network_settings_set_security_method()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no